Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/interactions/$INTERACTION_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/interactions/${interactionId}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/interactions/{interaction_id}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"interactionId": 3001 ,
"customerRef": "123",
"caseId": 1001 ,
"channel": "PHONE",
"direction": "OUTBOUND",
"interactionType": "CALL",
"reasonCode": "COLLECTIONS_FOLLOW_UP",
"status": "COMPLETED",
"verificationState": "NOT_APPLICABLE",
"contentSummary": "Outbound collections call attempt.",
"createdAt": "2026-07-25T18: 30 :00Z",
"loanRef": "456",
"contactPointRef": "phone-1",
"scheduledAt": "2026-07-25T18: 29 :00Z",
"startedAt": "2026-07-25T18: 30 :00Z",
"completedAt": "2026-07-25T18: 33 :34Z",
"lastUpdatedAt": "2026-07-25T18: 33 :34Z",
"primaryOutcomeCode": "CUSTOMER_REACHED",
"secondaryOutcomeCodes": [],
"transcriptAvailable": true ,
"recordingAvailable": false ,
"linkedTaskIds": [
2001
],
"complianceDecision": {
"decisionId": 6117 ,
"proposedAction": "OUTBOUND_CONTACT",
"outcome": "ALLOWED",
"hardStop": false ,
"evaluatedAt": "2026-07-25T18: 29 :58Z",
"rules": [
{
"ruleCode": "CONTACT_WINDOW_CA",
"outcome": "ALLOWED"
}
]
},
"voiceCall": {
"callId": 7001 ,
"gatewayCode": "VOICE_GATEWAY_PRIMARY",
"status": "COMPLETED",
"recordingState": "NOT_RECORDED",
"durationSeconds": 214 ,
"preDialComplianceDecisionId": 6117 ,
"startedAt": "2026-07-25T18: 30 :00Z",
"answeredAt": "2026-07-25T18: 30 :09Z",
"completedAt": "2026-07-25T18: 33 :34Z",
"dialAuthorizedAt": "2026-07-25T18: 29 :58Z",
"dialAuthorizationExpiresAt": "2026-07-25T18: 30 :28Z"
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}